gstreamermm 1.8.0

Public Member Functions | Static Public Member Functions | List of all members
Gst::MessageStepDone Class Reference

A step done message. More...

`#include <gstreamermm/message.h>`

Inheritance diagram for Gst::MessageStepDone:
[legend]

## Public Member Functions
void | parse (Gst::Format& format, guint64& amount, double& rate, bool&flush, bool& intermediate, guint64& duration, bool& eos) const
| Extract the values of the step done message. More...
guint64 | parse_duration () const
| Extracts the duration of the step done message. More...
Gst::Format | parse_format () const
| Extracts the format of the step done message. More...
guint64 | parse_amount () const
| Extracts the amount of the step done message. More...
double | parse_rate () const
| Extracts the rate of the step done message. More...
bool | parse_flush () const
| Extracts the flush flag of the step done message. More...
bool | parse_intermediate () const
| Extracts the intermediate flag of the step done message. More...
bool | parse_eos () const
| Extracts the eos flag of the step done message. More...
Public Member Functions inherited from Gst::Message
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMessage* | gobj ()
| Provides access to the underlying C instance. More...
const GstMessage* | gobj () const
| Provides access to the underlying C instance. More...
GstMessage* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| Message ()=delete
| Message (const Message&)=delete
Message& | operator= (const Message&)=delete
Gst::Structure | get_structure () const
| Access the structure of the message. More...
Glib::RefPtr< Gst::Message > | create_writable ()
| Checks if a message is writable. More...
guint32 | get_seqnum () const
| Retrieve the sequence number of a message. More...
void | set_seqnum (guint32 seqnum)
| Set the sequence number of a message. More...
Glib::RefPtr< Gst::Message > | copy () const
| Creates a copy of the message. More...
MessageType | get_message_type () const
| Get the GstMessageType of message. More...
Gst::ClockTime | get_timestamp () const
| Get the timestamp of message. More...
Glib::RefPtr< Gst::Object > | get_source ()
| Get the object that posted the message. More...
Glib::RefPtr< const Gst::Object > | get_source () const
bool | has_name (const Glib::ustring& name) const
| Checks if message has the given name. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| MiniObject ()=delete
| MiniObject (const MiniObject&)=delete
MiniObject& | operator= (const MiniObject&)=delete
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Static Public Member Functions
static Glib::RefPtr< Gst::MessageStepDone > | create (const Glib::RefPtr< Gst::Object >& src, Gst::Format format, guint64 amount, double rate, bool flush, bool intermediate, guint64 duration, bool eos)
| This message is posted by elements when they complete a part, when intermediate set to `true`, or a complete step operation. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer
Protected Member Functions inherited from Gst::Message
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
void | operator delete (void*, std::size_t)
Related Functions inherited from Gst::Message
Glib::RefPtr< Gst::Message > | wrap (GstMessage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A step done message.

See create() for more details.

## Member Function Documentation

## § create()

static Glib::RefPtr<Gst::MessageStepDone> Gst::MessageStepDone::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Gst::Format | format,
|  | guint64 | amount,
|  | double | rate,
|  | bool | flush,
|  | bool | intermediate,
|  | guint64 | duration,
|  | bool | eos
| ) |  |
| static

This message is posted by elements when they complete a part, when intermediate set to `true`, or a complete step operation.

duration will contain the amount of time (in GST_FORMAT_TIME) of the stepped amount of media in format format.

Parameters

  src | The object originating the message.
  format | The format of amount.
  amount | The amount of stepped data.
  rate | The rate of the stepped amount.
  flush | Is this an flushing step.
  intermediate | Is this an intermediate step.
  duration | The duration of the data.
  eos | The step caused EOS.

Returns
  The new step_done message.

MT safe.

## § parse()

void Gst::MessageStepDone::parse | ( | Gst::Format& | format,
|  | guint64 & | amount,
|  | double & | rate,
|  | bool & | flush,
|  | bool & | intermediate,
|  | guint64 & | duration,
|  | bool & | eos
| ) |  | const

Extract the values of the step done message.

MT safe.

Parameters

  format | Result location for the format.
  amount | Result location for the amount.
  rate | Result location for the rate.
  flush | Result location for the flush flag.
  intermediate | Result location for the intermediate flag.
  duration | Result location for the duration.
  eos | Result location for the EOS flag.

Since 0.10.24.

## § parse_amount()

guint64 Gst::MessageStepDone::parse_amount | ( |  | ) | const

Extracts the amount of the step done message.

Returns
  The amount.

## § parse_duration()

guint64 Gst::MessageStepDone::parse_duration | ( |  | ) | const

Extracts the duration of the step done message.

Returns
  The duration.

## § parse_eos()

bool Gst::MessageStepDone::parse_eos | ( |  | ) | const

Extracts the eos flag of the step done message.

Returns
  The eos flag.

## § parse_flush()

bool Gst::MessageStepDone::parse_flush | ( |  | ) | const

Extracts the flush flag of the step done message.

Returns
  The flush flag.

## § parse_format()

Gst::Format Gst::MessageStepDone::parse_format | ( |  | ) | const

Extracts the format of the step done message.

Returns
  The format.

## § parse_intermediate()

bool Gst::MessageStepDone::parse_intermediate | ( |  | ) | const

Extracts the intermediate flag of the step done message.

Returns
  The intermediate flag.

## § parse_rate()

double Gst::MessageStepDone::parse_rate | ( |  | ) | const

Extracts the rate of the step done message.

Returns
  The rate.